[Launch]
ProgramExecutable=EasyBCD\EasyBCD.exe
WorkingDirectory=%PAL:AppDir%\EasyBCD
SinglePortableAppInstance=true
DirectoryMoveOK=yes
RunAsAdmin=force
SupportsUNC=no

[Activate]
Registry=true
XML=true

[RegistryKeys]
EasyBCD=HKLM\SOFTWARE\NeoSmart Technologies\EasyBCD
-=HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\EasyBCD.exe

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\NeoSmart Technologies

[RegistryCleanupForce]
1=HKLM\SOFTWARE\Microsoft\Tracing\EasyBCD_RASAPI32
2=HKLM\SOFTWARE\Microsoft\Tracing\EasyBCD_RASMANCS

[RegistryValueWrite]
HKLM\SOFTWARE\NeoSmart Technologies\EasyBCD\Path=REG_SZ:%PAL:AppDir%\EasyBCD\EasyBCD.exe
HKLM\SOFTWARE\NeoSmart Technologies\EasyBCD\Language=REG_SZ:%PAL:LanguageCustom%

[DirectoriesCleanupIfEmpty]
1=%LOCALAPPDATA%\NeoSmart_Technologies\EasyBCD.exe_StrongName_ge4xjewlvhidmksvx1etlpptdtrgpnqg
2=%LOCALAPPDATA%\NeoSmart_Technologies
3=%LOCALAPPDATA%\Microsoft\Feeds Cache

[FilesMove]
settings\user.config=%LOCALAPPDATA%\NeoSmart_Technologies\EasyBCD.exe_StrongName_ge4xjewlvhidmksvx1etlpptdtrgpnqg\2.4.0.237
settings\container.dat=%LOCALAPPDATA%\Microsoft\Feeds Cache

[FilesCleanup]
1=%PAL:DataDir%\settings\container.dat

[FileWrite1]
Type=XML text
File=%PAL:DataDir%\settings\user.config
XPath=/configuration/userSettings/NeoSmart.EasyBCD.Properties.Settings/setting[@name="ShowPurchase"]/value
Value=False

[FileWrite2]
Type=XML text
File=%PAL:DataDir%\settings\user.config
XPath=/configuration/userSettings/NeoSmart.EasyBCD.Properties.Settings/setting[@name="ShowDonate"]/value
Value=False

[FileWrite3]
Type=XML text
File=%PAL:DataDir%\settings\user.config
XPath=/configuration/userSettings/NeoSmart.EasyBCD.Properties.Settings/setting[@name="FeedSubscribe"]/value
Value=False

[FileWrite4]
Type=XML text
File=%PAL:DataDir%\settings\user.config
XPath=/configuration/userSettings/NeoSmart.EasyBCD.Properties.Settings/setting[@name="AutoUpdate"]/value
Value=False

[FileWrite5]
Type=XML text
File=%PAL:DataDir%\settings\user.config
XPath=/configuration/userSettings/NeoSmart.EasyBCD.Properties.Settings/setting[@name="AutoUpdate"]/value
Value=False

[FileWrite6]
Type=XML text
File=%PAL:DataDir%\settings\user.config
XPath=/configuration/userSettings/NeoSmart.EasyBCD.Properties.Settings/setting[@name="BackupDirectory"]/value
Value=%PAL:DataDir%\Backups